## linux 3.2.0-124.167+6.0.1trisquel1

=== Makefile ===
VERSION = 3
PATCHLEVEL = 2
SUBLEVEL = 79
EXTRAVERSION =-gnu
NAME = Saber-toothed Squirrel

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifeq ("$(origin W)", "command line")
  export KBUILD_ENABLE_EXTRA_GCC_CHECKS := $(W)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	$(Q)@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
export KBUILD_BUILDHOST := $(SUBARCH)
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

ifeq ($(ARCH),m68knommu)
       hdr-arch  := m68k
endif

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage

# Prefer linux-backports-modules
ifneq ($(KBUILD_SRC),)
ifneq ($(shell if test -e $(KBUILD_OUTPUT)/ubuntu-build; then echo yes; fi),yes)
UBUNTUINCLUDE := -I/usr/src/linux-headers-lbm-$(KERNELRELEASE)
endif
endif

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := $(UBUNTUINCLUDE) -I$(srctree)/arch/$(hdr-arch)/include \
                   -Iarch/$(hdr-arch)/include/generated -Iinclude \
                   $(if $(KBUILD_SRC), -I$(srctree)/include) \
                   -include $(srctree)/include/linux/kconfig.h

# UBUNTU: Include our third party driver stuff too
LINUXINCLUDE   += -Iubuntu/include $(if $(KBUILD_SRC),-I$(srctree)/ubuntu/include)

KBUILD_CPPFLAGS := -D__KERNEL__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -fno-delete-null-pointer-checks
KBUILD_AFLAGS_KERNEL :=
KBUILD_CFLAGS_KERNEL :=
KBUILD_AFLAGS   := -D__ASSEMBLY__
KBUILD_AFLAGS_MODULE  := -DMODULE
KBUILD_CFLAGS_MODULE  := -DMODULE
KBUILD_LDFLAGS_MODULE := -T $(srctree)/scripts/module-common.lds

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)

=== debian/control ===
Source: linux
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [amd64 i386], device-tree-compiler [powerpc], libelf-dev, libnewt-dev, binutils-dev, rsync, libdw-dev, dpkg (>= 1.16.0~ubuntu4), util-linux
Build-Depends-Indep: xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc
Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-precise.git

Package: linux-source-3.2.0
Architecture: all
Section: devel
Priority: optional
Provides: linux-source, linux-source-3
Depends: ${misc:Depends}, binutils, bzip2, coreutils | fileutils (>= 4.0)
Recommends: libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, kernel-package, libqt3-dev
Description: Linux-libre kernel source for version 3.2.0
 This package provides the source code for the Linux-libre kernel version
 3.2.0.
 .
 This package is mainly meant for other packages to use, in order to build
 custom flavours.
 .
 If you wish to use this package to create a custom Linux-libre kernel, then it
 is suggested that you investigate the package kernel-package, which has
 been designed to ease the task of creating kernel image packages.
 .
 If you are simply trying to build third-party modules for your kernel,
 you do not want this package. Install the appropriate linux-headers
 package instead.

Package: linux-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Conflicts: linux-doc-3
Replaces: linux-doc-3
Description: Linux-libre kernel specific documentation for version 3.2.0
 This package provides the various documents in the 3.2.0 kernel
 Documentation/ subdirectory.  These document kernel subsystems, APIs, device
 drivers, and so on.  See
 /usr/share/doc/linux-doc/00-INDEX for a list of what is
 contained in each file.

Package: linux-tools-common
Architecture: all
Section: kernel
Priority: optional
Depends: ${misc:Depends}
Replaces: linux-tools (<= 2.6.32-16.25)
Description: Linux-libre kernel version specific tools for version 3.2.0
 This package provides the architecture independent parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 3.2.0.

Package: linux-headers-3.2.0-124
Architecture: all
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0)
Provides: linux-headers, linux-headers-3
Description: Header files related to Linux-libre kernel version 3.2.0
 This package provides kernel header files for version 3.2.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-headers-3.2.0-124/debian.README.gz for details

Package: linux-libc-dev
Architecture: i386 amd64 powerpc ppc64 armel armhf
Depends: ${misc:Depends}
Conflicts: libc6-dev (<< 2.3.2.ds1-6), libc6.1-dev (<< 2.3.2.ds1-6), dvb-dev (<< 1.0.1-6), amd64-libs-dev (<= 1.1), linux-kernel-headers
Replaces: libc6-dev (<< 2.3.2.ds1-6), libc6.1-dev (<< 2.3.2.ds1-6), dvb-dev (<< 1.0.1-6), linux-kernel-headers, libdrm-dev
Provides: linux-kernel-headers
Multi-Arch: same
Description: Linux-libre Kernel Headers for development
 This package provides headers from the Linux-libre kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-tools-3.2.0-124
Architecture: i386 amd64 powerpc ppc64 armel armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux-libre kernel version specific tools for version 3.2.0-124
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 3.2.0-124 on
 32 bit x86.


Package: linux-image-3.2.0-124-generic
Architecture: i386 amd64
Section: kernel
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-3.0, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), module-init-tools (>= 3.3-pre11-4ubuntu3), crda (>=1.1.1-1ubuntu2) | wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: grub-pc | grub-efi-amd64 | grub-efi-ia32 | grub | lilo (>= 19.1)
Suggests: fdutils, linux-doc-3.2.0 | linux-source-3.2.0, linux-tools
Description: Linux-libre kernel image for version 3.2.0 
 This package contains the Linux-libre kernel image for version 3.2.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-extra-3.2.0-124-generic
Architecture: i386 amd64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-3.2.0-124-generic
Description: Linux-libre kernel image for version 3.2.0 
 This package contains the Linux-libre kernel image for version 3.2.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.2.0-124-generic
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-headers-3.2.0-124, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
Description: Linux-libre kernel headers for version 3.2.0 
 This package provides kernel header files for version 3.2.0
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-3.2.0-124/debian.README.gz for details.

Package: linux-image-3.2.0-124-generic-dbgsym
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux-libre kernel debug image for version 3.2.0 
 This package provides a kernel debug image for version 3.2.0
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-image-3.2.0-124-generic-pae
Architecture: i386
Section: kernel
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-3.0, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), module-init-tools (>= 3.3-pre11-4ubuntu3), crda (>=1.1.1-1ubuntu2) | wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: grub-pc | grub | lilo (>= 19.1)
Suggests: fdutils, linux-doc-3.2.0 | linux-source-3.2.0, linux-tools
Description: Linux-libre kernel image for version 3.2.0 
 This package contains the Linux-libre kernel image for version 3.2.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward 32 bit desktop or server systems with more than 4GB RAM.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic-pae meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-extra-3.2.0-124-generic-pae
Architecture: i386
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-3.2.0-124-generic-pae
Description: Linux-libre kernel image for version 3.2.0 
 This package contains the Linux-libre kernel image for version 3.2.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward 32 bit desktop or server systems with more than 4GB RAM.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic-pae meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.2.0-124-generic-pae
Architecture: i386
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-headers-3.2.0-124, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
Description: Linux-libre kernel headers for version 3.2.0 
 This package provides kernel header files for version 3.2.0
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-3.2.0-124/debian.README.gz for details.

Package: linux-image-3.2.0-124-generic-pae-dbgsym
Architecture: i386
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux-libre kernel debug image for version 3.2.0 
 This package provides a kernel debug image for version 3.2.0
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-image-3.2.0-124-highbank
Architecture: armhf
Section: kernel
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-3.0, fuse-module, 
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), module-init-tools (>= 3.3-pre11-4ubuntu3), crda (>=1.1.1-1ubuntu2) | wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: flash-kernel
Suggests: fdutils, linux-doc-3.2.0 | linux-source-3.2.0, linux-tools
Description: Linux-libre kernel image for version 3.2.0 
 This package contains the Linux-libre kernel image for version 3.2.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Calxeda highbank processors.
 .
 Targeted towards Calxeda highbank ARM Server
 .
 You likely do not want to install this package directly. Instead, install
 the linux-highbank meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-extra-3.2.0-124-highbank
Architecture: armhf
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-3.2.0-124-highbank
Description: Linux-libre kernel image for version 3.2.0 
 This package contains the Linux-libre kernel image for version 3.2.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Calxeda highbank processors.
 .
 Targeted towards Calxeda highbank ARM Server
 .
 You likely do not want to install this package directly. Instead, install
 the linux-highbank meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.2.0-124-highbank
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-headers-3.2.0-124, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0

## linux 3.2.46

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 VERSION = 3
 PATCHLEVEL = 2
-SUBLEVEL = 79
-EXTRAVERSION =-gnu
+SUBLEVEL = 46
+EXTRAVERSION =
 NAME = Saber-toothed Squirrel
 
 # *DOCUMENTATION*
@@ -354,22 +354,13 @@
 AFLAGS_KERNEL	=
 CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage
 
-# Prefer linux-backports-modules
-ifneq ($(KBUILD_SRC),)
-ifneq ($(shell if test -e $(KBUILD_OUTPUT)/ubuntu-build; then echo yes; fi),yes)
-UBUNTUINCLUDE := -I/usr/src/linux-headers-lbm-$(KERNELRELEASE)
-endif
-endif
 
 # Use LINUXINCLUDE when you must reference the include/ directory.
 # Needed to be compatible with the O= option
-LINUXINCLUDE    := $(UBUNTUINCLUDE) -I$(srctree)/arch/$(hdr-arch)/include \
+LINUXINCLUDE    := -I$(srctree)/arch/$(hdr-arch)/include \
                    -Iarch/$(hdr-arch)/include/generated -Iinclude \
                    $(if $(KBUILD_SRC), -I$(srctree)/include) \
                    -include $(srctree)/include/linux/kconfig.h
-
-# UBUNTU: Include our third party driver stuff too
-LINUXINCLUDE   += -Iubuntu/include $(if $(KBUILD_SRC),-I$(srctree)/ubuntu/include)
 
 KBUILD_CPPFLAGS := -D__KERNEL__
 
@@ -389,3 +380,10 @@
 KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
 KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)
 
+export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION
+export ARCH SRCARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC
+export CPP AR NM STRIP OBJCOPY OBJDUMP
+export MAKE AWK GENKSYMS INSTALLKERNEL PERL UTS_MACHINE
+export HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS
+
+export KBUILD_CPPFLAGS NOSTDINC_FLAGS LINUXINCLUDE OBJCOPYFLAGS LDFLAGS

=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.2
Build-Depends: debhelper (>> 7), cpio, kmod | module-init-tools, python (>= 2.7), lzma [armel], kernel-wedge (>= 2.84), quilt, patchutils, gcc-4.6 [alpha amd64 armel armhf i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64], gcc-4.4 [hppa], binutils-hppa64 [hppa], gcc-4.4-hppa64 [hppa]
Build-Depends-Indep: bzip2, xmlto
Vcs-Svn: svn://svn.debian.org/svn/kernel/dists/trunk/linux/
Vcs-Browser: http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux/

Package: linux-source-3.2
Architecture: all
Section: kernel
Provides: linux-source
Depends: binutils, bzip2, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 3.2 with Debian patches
 This package provides source code for the Linux kernel version 3.2. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-doc-3.2
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 3.2
 This package provides the various README files and HTML documentation for
 the Linux kernel version 3.2.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-3.2/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-manual-3.2
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 3.2
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-support-3.2.0-4
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}
Description: Support files for Linux 3.2
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-libc-dev
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-headers-3.2.0-4-all
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Depends: linux-headers-3.2.0-4-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.2.0-4-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-3.2.0-4-alpha-generic (= ${binary:Version}), linux-headers-3.2.0-4-alpha-smp (= ${binary:Version}), linux-headers-3.2.0-4-alpha-legacy (= ${binary:Version})
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.2.0-4-common
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Depends: ${misc:Depends}
Description: Common header files for Linux 3.2.0-4
 This package provides the architecture-specific common kernel header files
 for Linux kernel version 3.2.0-4, generally used for building out-of-tree
 kernel modules.  To obtain a complete set of headers you also need to
 install the linux-headers-3.2.0-4-(flavour) package, matching the flavour
 of the kernel you intend the build for.

Package: linux-image-3.2.0-4-alpha-generic
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-4-alpha-generic
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha
 The Linux kernel 3.2 and modules for use on DEC Alpha systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.2.0-4-alpha-generic
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-4-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.6
Description: Header files for Linux 3.2.0-4-alpha-generic
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-4-alpha-generic, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-4-alpha-generic, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.2.0-4-alpha-generic package.

Package: linux-image-3.2.0-4-alpha-smp
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-4-alpha-smp
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha SMP
 The Linux kernel 3.2 and modules for use on DEC Alpha SMP systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.2.0-4-alpha-smp
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-4-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.6
Description: Header files for Linux 3.2.0-4-alpha-smp
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-4-alpha-smp, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-4-alpha-smp, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.2.0-4-alpha-smp package.

Package: linux-image-3.2.0-4-alpha-legacy
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-4-alpha-legacy
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha Legacy
 The Linux kernel 3.2 and modules for use on DEC Alpha systems with legacy
 kernel start address.

Package: linux-headers-3.2.0-4-alpha-legacy
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-4-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.6
Description: Header files for Linux 3.2.0-4-alpha-legacy
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-4-alpha-legacy, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-4-alpha-legacy, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.2.0-4-alpha-legacy package.

Package: linux-headers-3.2.0-4-all-amd64
Architecture: amd64
Depends: ${misc:Depends}, linux-headers-3.2.0-4-amd64 (= ${binary:Version}), linux-headers-3.2.0-4-rt-amd64 (= ${binary:Version})
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: kernel-image-3.2.0-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: kernel-image
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer boot
 images.  It does _not_ provide a usable kernel for your full Debian
 system.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-4-amd64

Package: nic-modules-3.2.0-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-modules
Depends: kernel-image-3.2.0-4-amd64-di, nic-shared-modules-3.2.0-4-amd64-di, core-modules-3.2.0-4-amd64-di, firewire-core-modules-3.2.0-4-amd64-di
Description: Common NIC drivers
 This package contains common NIC drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-4-amd64

Package: nic-extra-modules-3.2.0-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-extra-modules
Depends: kernel-image-3.2.0-4-amd64-di, nic-shared-modules-3.2.0-4-amd64-di, core-modules-3.2.0-4-amd64-di, i2c-modules-3.2.0-4-amd64-di, crc-modules-3.2.0-4-amd64-di
Description: Rare NIC drivers
 This package contains rare NIC drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-4-amd64

Package: nic-wireless-modules-3.2.0-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-wireless-modules
Depends: kernel-image-3.2.0-4-amd64-di, nic-shared-modules-3.2.0-4-amd64-di, core-modules-3.2.0-4-amd64-di, usb-modules-3.2.0-4-amd64-di, mmc-modules-3.2.0-4-amd64-di, pcmcia-modules-3.2.0-4-amd64-di, crc-modules-3.2.0-4-amd64-di
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP).
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-4-amd64

Package: nic-shared-modules-3.2.0-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-shared-modules
Depends: kernel-image-3.2.0-4-amd64-di
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-extra-modules, nic-pcmcia-modules, and nic-wireless-modules.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-4-amd64

Package: serial-modules-3.2.0-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: serial-modules
Depends: kernel-image-3.2.0-4-amd64-di, pcmcia-modules-3.2.0-4-amd64-di
Description: Serial drivers
 This package contains serial drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-4-amd64

Package: usb-serial-modules-3.2.0-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: usb-serial-modules
Depends: kernel-image-3.2.0-4-amd64-di, usb-modules-3.2.0-4-amd64-di
Description: USB serial drivers

## linux 3.2.57

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 3
 PATCHLEVEL = 2
-SUBLEVEL = 46
+SUBLEVEL = 57
 EXTRAVERSION =
 NAME = Saber-toothed Squirrel

=== debian/changelog ===
linux (3.2.57-3+deb7u2~bpo60+1) squeeze-backports; urgency=high

  * Rebuild for squeeze:
    - Use gcc-4.4 for all architectures
    - Disable building of udebs
    - Change ABI number to 0.bpo.4
    - Monkey-patch Python collections module to add OrderedDict if necessary
    - [armel] Disable CRYPTO_FIPS, VGA_ARB, FTRACE on iop32x and ixp4xx to
      reduce kernel size (as suggested by Arnaud Patard)
    - Use QUILT_PATCH_OPTS instead of missing quilt patch --fuzz option
    - Make build target depend on build-arch only, so we don't redundantly
      build documentation on each architecture

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 05 Jun 2014 14:02:38 +0100

linux (3.2.57-3+deb7u2) wheezy-security; urgency=high

  * futex: Add another early deadlock detection check
  * futex: Prevent attaching to kernel threads
  * futex: Forbid uaddr == uaddr2 in futex_requeue(..., requeue_pi=1)
    (CVE-2014-3153)
  * futex: Validate atomic acquisition in futex_lock_pi_atomic()
  * futex: Always cleanup owner tid in unlock_pi
  * futex: Make lookup_pi_state more robust
  * filter: prevent nla extensions to peek beyond the end of the message
    (CVE-2014-3145)

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 04 Jun 2014 22:29:31 +0100

linux (3.2.57-3+deb7u1) wheezy-security; urgency=high

  * n_tty: Fix n_tty_write crash when echoing in raw mode (CVE-2014-0196)
  * floppy: ignore kernel-only members in FDRAWCMD ioctl input (CVE-2014-1737)
  * floppy: don't write kernel-only members to FDRAWCMD ioctl output
    (CVE-2014-1738)
  * mm: try_to_unmap_cluster() should lock_page() before mlocking
    (CVE-2014-3122)
  * net: ipv4: current group_info should be put after using. (CVE-2014-2851)
  * Revert "isci: fix reset timeout handling" (Closes: #746642)
  * skbuff: export skb_copy_ubufs (Closes: #746602)
  * Revert "perf/x86/amd/ibs: Fix waking up from S3 for AMD family 10h"
    (Closes: #746411)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 10 May 2014 21:20:57 +0100

linux (3.2.57-3) wheezy; urgency=medium

  * rtl8192ce: Fix null dereference in watchdog (Closes: #745137)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 22 Apr 2014 20:48:59 +0100

linux (3.2.57-2) wheezy; urgency=medium

  * Revert "ALSA: Enable CONFIG_ZONE_DMA for smaller PCI DMA masks"
    (fixes FTBFS on several architectures where it changed ABI)
  * e1000e,igb: Backport changes up to Linux 3.13 (Closes: #705959)
    - e1000e: add RX hash support
    - e1000e: add support for i217 and i218
    - e1000e: 82571 Tx Data Corruption during Tx hang recovery
    - igb: add basic runtime PM support
    - igb: Add Support for new i210/i211 devices.
    - igb: Add 1588 support to I210/I211.
    - igb: Enable hwmon data output for thermal sensors via I2C. [!sparc]
    - igb: Add support for SW timestamping
    - igb: Don't give VFs random MAC addresses
    - igb: Support for 100base-fx SFP
    - igb: Enable EEE LP advertisement
    - igb: Add support for i354 devices
    - igb: Support for SFP modules discovery
    - igb: Expose RSS indirection table for ethtool
  * [x86] crypto: ghash-clmulni-intel - use C implementation for setkey()
  * [x86] powernow-k6: disable cache when changing frequency

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 16 Apr 2014 23:29:10 +0100

linux (3.2.57-1) wheezy; urgency=medium

  * New upstream stable update:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.55
    - net: do not pretend FRAGLIST support
    - ipv6: don't count addrconf generated routes against gc limit
    - net: drop_monitor: fix the value of maxattr
    - net: unix: allow bind to fail on mutex lock
    - net: inet_diag: zero out uninitialized idiag_{src,dst} fields
    - drivers/net/hamradio: Integer overflow in hdlcdrv_ioctl()
    - rds: prevent dereference of a NULL device (CVE-2013-7339)
    - net: rose: restore old recvmsg behavior (regression in 3.2.54)
    - vlan: Fix header ops passthru when doing TX VLAN offload.
    - net: llc: fix use after free in llc_ui_recvmsg
    - net: avoid reference counter overflows on fib_rules in multicast
      forwarding
    - xfs: Account log unmount transaction correctly (Closes: #737036)
    - staging: comedi: cb_pcidio: fix for newer PCI-DIO48H
    - hpfs: fix warnings when the filesystem fills up
    - ext4: call ext4_error_inode() if jbd2_journal_dirty_metadata() fails
    - ext4: fix use-after-free in ext4_mb_new_blocks
    - ext4: check for overlapping extents in ext4_valid_extent_entries()
    - ext2: Fix oops in ext2_get_block() called from ext2_quota_write()
    - ext4: fix del_timer() misuse for ->s_err_report
    - xhci: Limit the spurious wakeup fix only to HP machines
      (regression in 3.2.53)
    - radiotap: fix bitmap-end-finding buffer overrun
    - sched/rt: Fix rq's cpupri leak while enqueue/dequeue child RT entities
    - rtlwifi: pci: Fix oops on driver unload
    - net_dma: mark broken
    - ext4: add explicit casts when masking cluster sizes
    - selinux: fix broken peer recv check
    - selinux: selinux_setprocattr()->ptrace_parent() needs rcu_read_lock()
    - [powerpc] Fix bad stack check in exception entry
    - md/raid5: Fix possible confusion when multiple write errors occur.
    - md/raid10: fix two bugs in handling of known-bad-blocks.
    - md/raid10: fix bug when raid10 recovery fails to recover a block.
    - nilfs2: fix segctor bug that causes file system corruption
    - perf/x86/amd/ibs: Fix waking up from S3 for AMD family 10h
    - mm: fix aio performance regression for database caused by THP
    - mm: hugetlbfs: fix hugetlbfs optimization
    - sched/rt: Fix SCHED_RR across cgroups
    - sched,rt: fix isolated CPUs leaving root_task_group indefinitely
      throttled
    - sched: Unthrottle rt runqueues in __disable_runtime()
    - sched/rt: Avoid updating RT entry timeout twice within one tick period
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.56
    - selinux: process labeled IPsec TCP SYN-ACK packets properly in
